Package org.silverpeas.components.suggestionbox.web

# Class AbstractSuggestionBoxResource

java.lang.Object
org.silverpeas.core.web.rs.RESTWebService
org.silverpeas.components.suggestionbox.web.AbstractSuggestionBoxResource

All Implemented Interfaces:
  `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

Direct Known Subclasses:
  `SuggestionBoxResource`

public abstract class AbstractSuggestionBoxResource extends org.silverpeas.core.web.rs.RESTWebService

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

  `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

  `RESPONSE_HEADER_ARRAYSIZE`

  ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

  `BASE_PATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSuggestionBoxResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getBundleLocation()`
  `String`
  `getComponentId()`
  `protected String`
  `getResourceBasePath()`
  `SuggestionBox`
  `getSuggestionBox()`
  Gets the suggestion box associated to the current request.

  ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

  `createWebResourceUri, fromPage, getBundle, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getLanguage, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

  `validateUserAuthorization`

  ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

  `validateUserAuthentication`

- ## Constructor Details

  - ### AbstractSuggestionBoxResource

    public AbstractSuggestionBoxResource()

- ## Method Details

  - ### getResourceBasePath

    protected String getResourceBasePath()
    Specified by:
      `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`

  - ### getBundleLocation

    protected String getBundleLocation()
    Overrides:
      `getBundleLocation` in class `org.silverpeas.core.web.rs.RESTWebService`

  - ### getComponentId

    public String getComponentId()

  - ### getSuggestionBox

    public SuggestionBox getSuggestionBox()
    Gets the suggestion box associated to the current request.
    Returns:
      the suggestion box